#include <mpi.h>

void calc_residual (int my_rank, int size, int n_i,
		    double* rhs, double* x, double* res)
{
  /* no communication is necessary */

  int i;
  for (i=1; i<=n_i; i++)
    res[i] = rhs[i]-2.0*x[i]+x[i-1]+x[i+1];
}
