#include <stdio.h>
#include <mpi.h>

int main (int nargs, char** args)
{
  int my_rank, a, sum;
  MPI_Init (&nargs, &args);
  MPI_Comm_rank (MPI_COMM_WORLD, &my_rank);

  srand (7654321*(my_rank+1));
  a = rand()%100;
  printf("<%02d> a=%d\n",my_rank,a);
  fflush (stdout);

  MPI_Reduce (&a,&sum,1,MPI_INT,MPI_SUM,0,MPI_COMM_WORLD);

  if (my_rank==0)
    printf("<%02d> sum=%d\n",my_rank,sum);

  MPI_Finalize ();
  return 0;
}   
